#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_create_with_mnt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_driver_fbdev_probe, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x955a1bbb, "_gpl");
SYMBOL_CRC(drm_gem_shmem_create_with_mnt, 0x6143b07b, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x40ca867c, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xa1ba7602, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0x3cfa7744, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0x0be61161, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x5f880f8c, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x3b5af3df, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x3d6ba471, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x197cf1a5, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xa836f4b3, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xa44b3130, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x92aa3436, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x0b604f54, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0xde3b81f0, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xe735dd75, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xbd3f0cbf, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xc40675fd, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0xe9aaaa59, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_driver_fbdev_probe, 0x5399895c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31f6b206, "try_module_get" },
	{ 0x86c4dba9, "drm_fb_helper_debug_enter" },
	{ 0x7392516d, "ww_mutex_lock_interruptible" },
	{ 0x930a759e, "vmf_insert_pfn" },
	{ 0x19227ff7, "vmemmap" },
	{ 0xb1ac4b6e, "drm_gem_get_pages" },
	{ 0x3dafd6e7, "dma_buf_vmap" },
	{ 0xf0b288a8, "drm_client_buffer_vmap" },
	{ 0xb4e54734, "drm_fb_helper_setcmap" },
	{ 0x60451376, "drm_fb_helper_alloc_info" },
	{ 0xe038615c, "drm_fb_helper_unprepare" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x2b83767e, "drm_fb_helper_fini" },
	{ 0x4bf89875, "page_noexec_mask" },
	{ 0x41bc53ff, "drm_client_framebuffer_delete" },
	{ 0x15c629ae, "drm_client_framebuffer_create" },
	{ 0xe516f347, "invalidate_mapping_pages" },
	{ 0xf20fff98, "ww_mutex_unlock" },
	{ 0x45d23fa, "drm_fb_helper_deferred_io" },
	{ 0xf2cc886b, "drm_fb_helper_release_info" },
	{ 0x5ad0ada4, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x9122cf32, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ec37199, "drm_driver_legacy_fb_format" },
	{ 0x4b38bf37, "drm_fb_helper_fill_info" },
	{ 0x36ab89f1, "drm_gem_create_mmap_offset" },
	{ 0xe2e98312, "fb_deferred_io_init" },
	{ 0x41efcf34, "fb_deferred_io_cleanup" },
	{ 0x500a19c0, "dev_driver_string" },
	{ 0xe69caa19, "fb_sys_write" },
	{ 0xc878d084, "sys_imageblit" },
	{ 0x2d158015, "drm_fb_helper_damage_range" },
	{ 0x3abdfc9b, "drm_fb_helper_blank" },
	{ 0x5e826495, "drm_gem_private_object_init" },
	{ 0xb37094f, "drm_fb_helper_check_var" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf07f5daf, "drm_fb_helper_damage_area" },
	{ 0x54a0b65c, "sys_fillrect" },
	{ 0x926e65b4, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2a0c9b12, "drm_gem_vm_close" },
	{ 0x30f74e2e, "drm_gem_vm_open" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x89d1802b, "drm_gem_object_release" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x40bc5912, "ww_mutex_lock" },
	{ 0x3e8dd015, "vmap" },
	{ 0xaeb7a44c, "drm_gem_handle_create" },
	{ 0xa92386a7, "drm_gem_fb_get_obj" },
	{ 0x1634a85e, "__drm_dev_dbg" },
	{ 0x5c56e833, "drm_prime_pages_to_sg" },
	{ 0x121aa5bb, "fb_deferred_io_mmap" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x5cd4f81c, "drm_fb_helper_pan_display" },
	{ 0x9e8ddab4, "dma_buf_vunmap" },
	{ 0xdfcbd6b2, "drm_client_release" },
	{ 0xb6dbf590, "sys_copyarea" },
	{ 0xea62e4bf, "shmem_truncate_range" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x58ca4b5f, "dma_map_sgtable" },
	{ 0x474742c3, "drm_gem_free_mmap_offset" },
	{ 0x91360047, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffd424b7, "drm_client_buffer_vunmap" },
	{ 0x14409e34, "fb_sys_read" },
	{ 0xc0e32c87, "drm_fb_helper_debug_leave" },
	{ 0xf59d21a7, "drm_gem_object_init_with_mnt" },
	{ 0x99fb0f9a, "dma_unmap_sg_attrs" },
	{ 0xb94219cc, "drm_gem_put_pages" },
	{ 0xc71654a6, "drm_gem_private_object_fini" },
	{ 0xcd47e272, "kmalloc_caches" },
	{ 0x9e898d08, "drm_fb_helper_ioctl" },
	{ 0xdf8886f0, "drm_fb_helper_set_par" },
	{ 0x4acd0744, "drm_prime_gem_destroy" },
	{ 0xa1b0d0a2, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,fb,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "51CADFD3A0D3BC430E569F1");
MODULE_INFO(rhelversion, "9.99");
