#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x623e430c, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x05e18819, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x7170d50d, "");
SYMBOL_CRC(rdma_res_to_id, 0xdd0cf820, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x68bd46d0, "");
SYMBOL_CRC(rdma_create_user_id, 0x794bc037, "");
SYMBOL_CRC(rdma_create_qp, 0xddddb9a4, "");
SYMBOL_CRC(rdma_destroy_qp, 0x21aff93d, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xb043a147, "");
SYMBOL_CRC(rdma_destroy_id, 0x0f80d0aa, "");
SYMBOL_CRC(rdma_get_service_id, 0xb7d80eb8, "");
SYMBOL_CRC(rdma_read_gids, 0xbb942565, "");
SYMBOL_CRC(rdma_set_service_type, 0x35b6d9c9, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x244338bb, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x5f4af9f6, "");
SYMBOL_CRC(rdma_set_ib_path, 0x1fddb24c, "");
SYMBOL_CRC(rdma_resolve_route, 0x80f22272, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x728acf51, "");
SYMBOL_CRC(rdma_set_afonly, 0x650f385e, "");
SYMBOL_CRC(rdma_listen, 0x2b81656d, "");
SYMBOL_CRC(rdma_resolve_addr, 0xfc896cf4, "");
SYMBOL_CRC(rdma_bind_addr, 0x84d43abd, "");
SYMBOL_CRC(rdma_connect_locked, 0x2cda97a3, "");
SYMBOL_CRC(rdma_connect, 0x36e3f43f, "");
SYMBOL_CRC(rdma_connect_ece, 0x2296ff24, "");
SYMBOL_CRC(rdma_accept, 0x98719e19, "");
SYMBOL_CRC(rdma_accept_ece, 0xa74c1713, "");
SYMBOL_CRC(rdma_lock_handler, 0xfa91e244, "");
SYMBOL_CRC(rdma_unlock_handler, 0x8b02c866, "");
SYMBOL_CRC(rdma_notify, 0xac1d99da, "");
SYMBOL_CRC(rdma_reject, 0x80665172, "");
SYMBOL_CRC(rdma_disconnect, 0xe1feca67, "");
SYMBOL_CRC(rdma_join_multicast, 0x17534a04, "");
SYMBOL_CRC(rdma_leave_multicast, 0x9e37ea20, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf064d9a2, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x538c85d, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd74ce86a, "ib_unregister_client" },
	{ 0xffb85d6b, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7e13c5aa, "ib_send_cm_sidr_rep" },
	{ 0xeb30669a, "bpf_trace_run4" },
	{ 0x5defa090, "config_group_init" },
	{ 0xeade6e20, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x225b405c, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x11ed5fda, "trace_raw_output_prep" },
	{ 0x17b4fbc0, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x595d060e, "__trace_trigger_soft_disabled" },
	{ 0xe72db065, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0x6700661, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6892114, "rdma_query_gid" },
	{ 0xc2a4677b, "rt6_lookup" },
	{ 0xad838549, "rdma_translate_ip" },
	{ 0x3df0faff, "bpf_trace_run2" },
	{ 0x6ca52e92, "rdma_dev_access_netns" },
	{ 0x29b851ed, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x93c2bfff, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xaf44e057, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf0dbbe5a, "register_pernet_subsys" },
	{ 0xe66dbb33, "trace_event_buffer_commit" },
	{ 0xc4e7793a, "ip_mc_inc_group" },
	{ 0x91da9085, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x75f0730e, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xfb1f9b79, "iw_cm_connect" },
	{ 0x3b31112a, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xdec407b0, "rdma_addr_cancel" },
	{ 0x9afc99d6, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x56404660, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x8120eb06, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x73f587f0, "ib_sa_path_rec_get" },
	{ 0xfb83f80a, "ib_create_cm_id" },
	{ 0xe5e6d885, "__ip_mc_dec_group" },
	{ 0xa60a4eac, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe5337286, "perf_trace_run_bpf_submit" },
	{ 0x96dbea97, "ib_init_ah_from_mcmember" },
	{ 0x1f08e953, "rdma_destroy_ah_attr" },
	{ 0x35087b75, "ib_set_client_data" },
	{ 0x141ced48, "init_net" },
	{ 0x5885cd36, "ib_get_cached_pkey" },
	{ 0xd5411144, "configfs_register_subsystem" },
	{ 0x60e5eb87, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xa8bc9877, "rdma_put_gid_attr" },
	{ 0x70b5a54a, "config_group_init_type_name" },
	{ 0x6586ad4d, "dev_get_by_index" },
	{ 0xe0f8e2cc, "iw_destroy_cm_id" },
	{ 0xb6881aa1, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x77f347e3, "ib_send_cm_rep" },
	{ 0x494c01b8, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x2c13de56, "iw_cm_disconnect" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x629a356a, "bpf_trace_run1" },
	{ 0xae734601, "ib_destroy_qp_user" },
	{ 0x565ebcb2, "unregister_pernet_subsys" },
	{ 0x1a781f1d, "ib_cm_init_qp_attr" },
	{ 0xb12de15, "_dev_warn" },
	{ 0xeeae52fb, "ib_send_cm_drep" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x70d8a2f3, "rdma_restrack_set_name" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xba7d9487, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xfd3de993, "ib_get_cached_port_state" },
	{ 0xd5ed4b75, "ib_send_cm_mra" },
	{ 0xd1499847, "rdma_restrack_del" },
	{ 0xbff4c34d, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x37d02ce4, "bpf_trace_run3" },
	{ 0x2aaed063, "__put_net" },
	{ 0x89647533, "rdma_restrack_parent_name" },
	{ 0x2960f022, "iw_cm_accept" },
	{ 0x7d8a28d4, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xbaf0020d, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x91360047, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xefd7d60c, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x9519d2d0, "iw_cm_init_qp_attr" },
	{ 0xd4370e29, "dst_release" },
	{ 0x5eb0548e, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa8ddbf77, "ib_send_cm_dreq" },
	{ 0x2877ad11, "ib_send_cm_req" },
	{ 0xdb30d440, "ib_create_qp_kernel" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x3ac5ea27, "ib_sa_join_multicast" },
	{ 0x5eb1d914, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xd756ee6, "rdma_get_gid_attr" },
	{ 0x5ab67ef0, "rdma_restrack_new" },
	{ 0x9876615c, "__fib_lookup" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa0c67b53, "iw_cm_listen" },
	{ 0x689ceb78, "ib_send_cm_rej" },
	{ 0x848f80d, "rdma_copy_src_l2_addr" },
	{ 0xcd47e272, "kmalloc_caches" },
	{ 0xd6773a8a, "rdma_resolve_ip" },
	{ 0xa1b0d0a2, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "46F6C21343830E9B1D22FDB");
MODULE_INFO(rhelversion, "9.99");
