#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");
KSYMTAB_FUNC(hsr_get_port_ndev, "", "");

SYMBOL_CRC(hsr_get_version, 0x7f72a3d3, "");
SYMBOL_CRC(is_hsr_master, 0x8fb3b976, "");
SYMBOL_CRC(hsr_get_port_ndev, 0xa6a34ddc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10ebe465, "dev_set_mtu" },
	{ 0xb83e93a1, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x8ba38f02, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x10dab522, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfba8a491, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x3203bd41, "rtnl_link_register" },
	{ 0x1009cc14, "genlmsg_put" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6e262f8, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0xe0305057, "dev_set_promiscuity" },
	{ 0xc1ae547e, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xa1330246, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc34f4229, "unregister_netdevice_queue" },
	{ 0xd0340d09, "netlink_ack" },
	{ 0x14ec755d, "__pskb_copy_fclone" },
	{ 0x7e729cb6, "dev_uc_unsync" },
	{ 0x712d9fef, "ether_setup" },
	{ 0xb0be8b8c, "netlink_broadcast_filtered" },
	{ 0x9cdeaba3, "netdev_err" },
	{ 0x7736336e, "netdev_upper_dev_link" },
	{ 0x29306f6f, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1c36c2b7, "netdev_rx_handler_unregister" },
	{ 0x3ef06f26, "eth_header_parse" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x1414ad77, "__alloc_skb" },
	{ 0x1fc32423, "skb_copy_expand" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xf8d03a2b, "__dev_get_by_index" },
	{ 0xa059bd0b, "rtnl_link_unregister" },
	{ 0x141ced48, "init_net" },
	{ 0x8dc0b1ac, "skb_pull" },
	{ 0xc8dd3319, "sk_skb_reason_drop" },
	{ 0xcb5eeda2, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb6881aa1, "dev_get_by_index_rcu" },
	{ 0x18bd97a6, "netdev_printk" },
	{ 0x20b3a9cf, "skb_push" },
	{ 0x2fa8047b, "debugfs_remove" },
	{ 0xfd5c58e7, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe74f1476, "netdev_set_operstate" },
	{ 0x3091fa90, "debugfs_change_name" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9b8feb51, "__pskb_pull_tail" },
	{ 0x4841e84e, "netif_rx" },
	{ 0x62eb8052, "__netdev_alloc_skb" },
	{ 0xe7c9268b, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xdfd51104, "seq_read" },
	{ 0x55ab2b3, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xedb2c5e6, "vlan_vid_add" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8f25ffa8, "call_netdevice_notifiers" },
	{ 0xa8d6945c, "vlan_vid_del" },
	{ 0x2d05b6ae, "dev_set_allmulti" },
	{ 0xaac0c594, "seq_write" },
	{ 0x91360047, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3eb59cde, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x27d2a03b, "seq_printf" },
	{ 0x9da3d90e, "skb_clone" },
	{ 0xa9051d43, "netif_carrier_on" },
	{ 0x82740e87, "debugfs_create_file_full" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xb4f44d04, "netdev_rx_handler_register" },
	{ 0x7535c651, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2eddf994, "genl_unregister_family" },
	{ 0x75d518e0, "dev_disable_lro" },
	{ 0xa08c32f7, "dev_kfree_skb_any_reason" },
	{ 0xf58c02af, "single_open" },
	{ 0xda309a34, "debugfs_create_dir" },
	{ 0xc82c0cb4, "dev_mc_unsync" },
	{ 0x65a9c0a1, "genl_register_family" },
	{ 0xdd0f48d4, "netdev_core_stats_inc" },
	{ 0xcd47e272, "kmalloc_caches" },
	{ 0x4124279e, "netdev_info" },
	{ 0x3321057e, "dev_mc_sync_multiple" },
	{ 0x9edf71e6, "register_netdevice" },
	{ 0xa1b0d0a2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "327A2F25324B626E08895DE");
MODULE_INFO(rhelversion, "9.99");
