#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x6f42fafb, "");
SYMBOL_CRC(ieee802154_configure_durations, 0xc19276fb, "");
SYMBOL_CRC(ieee802154_free_hw, 0xfd84354d, "");
SYMBOL_CRC(ieee802154_register_hw, 0xdb1876ca, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x9df45b31, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x2a11c83e, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x53075b71, "");
SYMBOL_CRC(ieee802154_xmit_error, 0xd44852aa, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0xd09fce50, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x733d7303, "crypto_skcipher_encrypt" },
	{ 0xbc82b3dd, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xeb30669a, "bpf_trace_run4" },
	{ 0xf545c746, "nl802154_beaconing_done" },
	{ 0x10dab522, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe3f108a4, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x11ed5fda, "trace_raw_output_prep" },
	{ 0xcee52e2a, "skb_dequeue" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x595d060e, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xe72db065, "trace_event_printf" },
	{ 0x4c61c5b3, "hrtimer_init" },
	{ 0xc74918e5, "dev_alloc_name" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x6700661, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x93d6c513, "ieee802154_mac_cmd_push" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x6c0c8d59, "crypto_alloc_aead" },
	{ 0x3df0faff, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa1330246, "netdev_warn" },
	{ 0x5e3b6507, "crypto_aead_setauthsize" },
	{ 0xf43714d3, "crypto_aead_decrypt" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x7e821ba1, "crc_ccitt" },
	{ 0x11e0a357, "crypto_skcipher_setkey" },
	{ 0xc34f4229, "unregister_netdevice_queue" },
	{ 0xcd88cce6, "__dynamic_dev_dbg" },
	{ 0xbf27fd8f, "ieee802154_hdr_peek_addrs" },
	{ 0x3c3230ed, "wpan_phy_unregister" },
	{ 0xe66dbb33, "trace_event_buffer_commit" },
	{ 0x29306f6f, "dev_addr_mod" },
	{ 0x1fdf38e, "crypto_destroy_tfm" },
	{ 0x280b645d, "alloc_netdev_mqs" },
	{ 0x75913fe4, "nl802154_scan_done" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3642b9d, "nl802154_scan_started" },
	{ 0x663c4d22, "crypto_skcipher_decrypt" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x1414ad77, "__alloc_skb" },
	{ 0x1fc32423, "skb_copy_expand" },
	{ 0xb121cf11, "skb_queue_tail" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x51b0ff84, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe5337286, "perf_trace_run_bpf_submit" },
	{ 0x18d62c9c, "cfg802154_get_free_short_addr" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x32663c38, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1e64a4db, "wpan_phy_register" },
	{ 0xaf4ea228, "cfg802154_set_max_associations" },
	{ 0x26bae706, "crypto_aead_encrypt" },
	{ 0xc8dd3319, "sk_skb_reason_drop" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x20b3a9cf, "skb_push" },
	{ 0xf1f5cdc4, "ieee802154_hdr_peek" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x87a2f52, "wpan_phy_free" },
	{ 0xdcc9f8e9, "netif_receive_skb" },
	{ 0x494c01b8, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x35c96098, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x629a356a, "bpf_trace_run1" },
	{ 0xd9234007, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb12de15, "_dev_warn" },
	{ 0x58d7c9a2, "hrtimer_start_range_ns" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3be30f53, "ieee802154_hdr_pull" },
	{ 0x2ebbd500, "nl802154_scan_event" },
	{ 0x824e0e7c, "crypto_alloc_sync_skcipher" },
	{ 0xe7c9268b, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xae1b7b1, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x37d02ce4, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7d8a28d4, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa503dd04, "wait_for_completion_killable_timeout" },
	{ 0xb18ca42f, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x91360047, "__kmalloc_cache_noprof" },
	{ 0x4cede14b, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb954b01d, "wpan_phy_new" },
	{ 0x9da3d90e, "skb_clone" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa7172736, "hrtimer_cancel" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x373d2e07, "ieee802154_hdr_push" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa08c32f7, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x2c472334, "cfg802154_device_is_parent" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xcd47e272, "kmalloc_caches" },
	{ 0x2ceb386a, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9edf71e6, "register_netdevice" },
	{ 0xa1b0d0a2, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "9AEF05FC1F921CD81AD2F80");
MODULE_INFO(rhelversion, "9.99");
