#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xpcs_to_phylink_pcs, "_gpl", "");
KSYMTAB_FUNC(xpcs_get_an_mode, "_gpl", "");
KSYMTAB_FUNC(xpcs_config_eee, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_mdiodev, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_pcs_mdiodev, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_fwnode, "_gpl", "");
KSYMTAB_FUNC(xpcs_destroy, "_gpl", "");
KSYMTAB_FUNC(xpcs_destroy_pcs, "_gpl", "");

SYMBOL_CRC(xpcs_to_phylink_pcs, 0xee9fd3c3, "_gpl");
SYMBOL_CRC(xpcs_get_an_mode, 0x04977377, "_gpl");
SYMBOL_CRC(xpcs_config_eee, 0x1614d5b4, "_gpl");
SYMBOL_CRC(xpcs_create_mdiodev, 0x4779d55b, "_gpl");
SYMBOL_CRC(xpcs_create_pcs_mdiodev, 0x90d02ef2, "_gpl");
SYMBOL_CRC(xpcs_create_fwnode, 0x82fc99ea, "_gpl");
SYMBOL_CRC(xpcs_destroy, 0xf0ebb87a, "_gpl");
SYMBOL_CRC(xpcs_destroy_pcs, 0x6887286d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa75c73c0, "mdiobus_c45_modify_changed" },
	{ 0xcec94565, "mdiobus_c45_read" },
	{ 0xcf48f3d0, "devm_kmalloc" },
	{ 0x315eae0e, "platform_driver_unregister" },
	{ 0x98de1c15, "snprintf" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0xc8ad4615, "phylink_resolve_c73" },
	{ 0x37a0cba, "kfree" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdbd0ac5, "platform_get_resource_byname" },
	{ 0x637cbbd1, "get_device" },
	{ 0x78d3aa80, "fwnode_mdio_find_device" },
	{ 0x4580e2e8, "devm_clk_get" },
	{ 0x999e4912, "mdiobus_c45_write" },
	{ 0xf116bd23, "device_set_node" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7a6c220c, "device_property_read_u32_array" },
	{ 0x6a94058f, "mdio_device_register" },
	{ 0xef29fcdd, "clk_bulk_put" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x32663c38, "_dev_err" },
	{ 0x99403554, "phylink_mii_c45_pcs_get_state" },
	{ 0x2d01f96f, "mdio_device_create" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb12de15, "_dev_warn" },
	{ 0x863b4f3e, "device_get_match_data" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4f3476a8, "fwnode_handle_get" },
	{ 0xc0632f95, "phylink_mii_c22_pcs_encode_advertisement" },
	{ 0x747a568f, "devm_mdiobus_alloc_size" },
	{ 0x3f1191e, "__platform_driver_register" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x383a8330, "mdiobus_c45_modify" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xe1a6be82, "fwnode_device_is_available" },
	{ 0x981f25f1, "devm_ioremap_resource" },
	{ 0x91360047, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xae470f2, "clk_bulk_get_optional" },
	{ 0xd98770b, "phylink_mii_c22_pcs_decode_state" },
	{ 0x9a6b0a2c, "__devm_mdiobus_register" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xde6bbe67, "dev_err_probe" },
	{ 0x84a2fc2b, "mdio_device_free" },
	{ 0x8e6dba59, "__dev_fwnode" },
	{ 0xcd47e272, "kmalloc_caches" },
	{ 0xa1b0d0a2, "module_layout" },
};

MODULE_INFO(depends, "phylink");

MODULE_ALIAS("of:N*T*Csnps,dw-xpcs");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcsC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12gC*");

MODULE_INFO(srcversion, "DFC87731E3B1362A6C0F959");
MODULE_INFO(rhelversion, "9.99");
