#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0x838734c8, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0x0b41f47e, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0x1fb6cd1e, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0xb85a1761, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0xc89bd94d, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0x24a7ed67, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0xdb725804, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0x93642a73, "_gpl");
SYMBOL_CRC(qeth_xmit, 0xcb04d0b8, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0xdcfd59ca, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0xf5909ca0, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0x6ab894bf, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0xda1359cf, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0xc44940b6, "_gpl");
SYMBOL_CRC(qeth_poll, 0xac2fb6af, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0x3f39d00d, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0xe8d5f762, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0x250921de, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0xfc898494, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0x8eac5c12, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0xc594e46b, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0x3ea99ddb, "_gpl");
SYMBOL_CRC(qeth_set_features, 0xe1bafbc2, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0xf7756d8c, "_gpl");
SYMBOL_CRC(qeth_features_check, 0x9349a482, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0x9d908a96, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0x5819c57b, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0x128182b3, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0x608e8cb1, "_gpl");
SYMBOL_CRC(qeth_open, 0x10ac2ea2, "_gpl");
SYMBOL_CRC(qeth_stop, 0xc6bb9723, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c641ba0, "ccw_device_get_cssid" },
	{ 0x4a02e890, "napi_alloc_skb" },
	{ 0x2caba9a4, "alloc_etherdev_mqs" },
	{ 0x41556604, "ccw_device_halt" },
	{ 0x2efbf879, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x62720059, "qdio_shutdown" },
	{ 0xf47589e1, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf2fe56b9, "ccwgroup_set_offline" },
	{ 0x19227ff7, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe52a9268, "ccw_device_get_chid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb08d6615, "skb_copy_bits" },
	{ 0x1bc8af0c, "qdio_allocate" },
	{ 0xb6993fe7, "qdio_inspect_output_queue" },
	{ 0x10dab522, "skb_put" },
	{ 0xa132cc49, "skb_tstamp_tx" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xfba8a491, "netdev_update_features" },
	{ 0xe3f108a4, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x83e1ac95, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xf857c9ad, "debug_set_level" },
	{ 0xcdfdcd8d, "register_service_level" },
	{ 0x71c1bed1, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xbdd6a573, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xc1ae547e, "seq_lseek" },
	{ 0xccded108, "netif_napi_add_weight_locked" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xca3a331, "qdio_add_bufs_to_output_queue" },
	{ 0x637cbbd1, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0x712d9fef, "ether_setup" },
	{ 0xd5095a41, "qdio_get_ssqd_desc" },
	{ 0x917a939e, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x918c8a5c, "pskb_expand_head" },
	{ 0x28f70165, "wake_up_process" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x29306f6f, "dev_addr_mod" },
	{ 0x2b1cfb1b, "eth_type_trans" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xb4cd9ffb, "napi_complete_done" },
	{ 0x280b645d, "alloc_netdev_mqs" },
	{ 0xdc841a49, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x47901f18, "unregister_service_level" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x71e68fa4, "qdio_inspect_input_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6943c279, "put_device" },
	{ 0x87772cc, "__napi_schedule" },
	{ 0x260e12aa, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x159a2aab, "netif_device_detach" },
	{ 0x265adc1b, "__free_pages" },
	{ 0xf700bcb1, "_dev_info" },
	{ 0x66004e15, "napi_gro_receive" },
	{ 0x90fb2402, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xaf6772fa, "ccwgroup_probe_ccwdev" },
	{ 0x5e50f46e, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x32663c38, "_dev_err" },
	{ 0x2fbce0ef, "softnet_data" },
	{ 0x3f91e521, "ccw_device_get_id" },
	{ 0x7a6a672e, "__root_device_register" },
	{ 0x2c3e40b0, "ccw_device_get_ciw" },
	{ 0x3ad91fcb, "netif_set_real_num_tx_queues" },
	{ 0xc8dd3319, "sk_skb_reason_drop" },
	{ 0xfb59dbfe, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x18bd97a6, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x20b3a9cf, "skb_push" },
	{ 0xd6228ad6, "kmem_cache_free" },
	{ 0x3723ba04, "ccwgroup_driver_register" },
	{ 0x2fa8047b, "debugfs_remove" },
	{ 0x92653b53, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x35c96098, "free_netdev" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf03df8b6, "__debug_sprintf_event" },
	{ 0xbd0bd344, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x18ab3c45, "netif_tx_stop_all_queues" },
	{ 0xd9234007, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xb966a1a9, "ccw_device_set_offline" },
	{ 0xb12de15, "_dev_warn" },
	{ 0x13b9c93e, "ccw_driver_register" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe883762e, "netif_schedule_queue" },
	{ 0xef614bef, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0xfde67567, "kmem_cache_alloc_noprof" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0xbabd599c, "netdev_set_tc_queue" },
	{ 0x7825c1e1, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x9b8feb51, "__pskb_pull_tail" },
	{ 0x62eb8052, "__netdev_alloc_skb" },
	{ 0xa5358222, "__kmem_cache_create_args" },
	{ 0x6078a7e, "__netif_napi_del_locked" },
	{ 0xe798236d, "jiffies" },
	{ 0xde9587c7, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2f1bb501, "debug_hex_ascii_view" },
	{ 0x273a8b85, "debug_unregister" },
	{ 0xdfd51104, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0xf45e086b, "ccwgroup_driver_unregister" },
	{ 0x26944f1f, "ccwgroup_remove_ccwdev" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfd8ca40c, "ccw_device_get_iid" },
	{ 0xd3ec6086, "debug_event_common" },
	{ 0x91360047, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3eb59cde, "netif_carrier_off" },
	{ 0x27d2a03b, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf2063c86, "ccw_device_set_online" },
	{ 0xc738e869, "netdev_set_num_tc" },
	{ 0x4db8f993, "kobject_uevent" },
	{ 0x3039df8e, "dql_reset" },
	{ 0x82740e87, "debugfs_create_file_full" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x7535c651, "single_release" },
	{ 0xc2c0801f, "qdio_add_bufs_to_input_queue" },
	{ 0x6855fd41, "skb_add_rx_frag_netmem" },
	{ 0xcbf5f397, "__napi_schedule_irqoff" },
	{ 0xeecb9db3, "napi_schedule_prep" },
	{ 0x2c4e0109, "napi_consume_skb" },
	{ 0xf380f0ed, "debug_sprintf_view" },
	{ 0x401e99ee, "qdio_stop_irq" },
	{ 0x1f1cba02, "napi_disable" },
	{ 0x6ba8a4ed, "qdio_free" },
	{ 0xf58c02af, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xda309a34, "debugfs_create_dir" },
	{ 0xde03757c, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0x94bdb428, "ccw_driver_unregister" },
	{ 0xbb441a34, "skb_clone_tx_timestamp" },
	{ 0x3d1fe411, "qdio_activate" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x9746dcdf, "ethtool_op_get_ts_info" },
	{ 0xcd47e272, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3b3c00cf, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa1b0d0a2, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "3B7DDCE882ADA72FA06FE30");
MODULE_INFO(rhelversion, "9.99");
