#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x7f4506b2, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x3b272b7b, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xa34a29ba, "_gpl");
SYMBOL_CRC(fat_scan, 0x209a0e54, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x70524e26, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x3cbc8bf3, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x2dffebee, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x5cf2403e, "_gpl");
SYMBOL_CRC(fat_getattr, 0xf4d4a8fe, "_gpl");
SYMBOL_CRC(fat_setattr, 0x7da06109, "_gpl");
SYMBOL_CRC(fat_attach, 0xc1a6d487, "_gpl");
SYMBOL_CRC(fat_detach, 0x15369b0b, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x106d2a72, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x82d44b09, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x768cbb45, "_gpl");
SYMBOL_CRC(fat_param_spec, 0x6e2f3483, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x911e7a5b, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xf723b68c, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xad531f92, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x8be3838b, "_gpl");
SYMBOL_CRC(fat_free_fc, 0xd7de3bc6, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xe91ee461, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xb0364cd2, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xe244befc, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x16470a07, "_gpl");
SYMBOL_CRC(fat_update_time, 0xb0a43e28, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52b979f1, "filemap_fdatawrite" },
	{ 0xf3f9ba29, "generic_fillattr" },
	{ 0xaa515264, "setattr_prepare" },
	{ 0xb7a30318, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x36c4505c, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf0e92f83, "make_vfsgid" },
	{ 0xc57ad201, "blk_start_plug" },
	{ 0x6e51cfc, "clear_inode" },
	{ 0x99f042bd, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x643cdef1, "fs_param_is_string" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xba41da13, "new_inode" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xdd4db083, "mark_buffer_dirty" },
	{ 0x80b0508b, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x24dbcd71, "__find_get_block" },
	{ 0x1cd58780, "filemap_fdatawrite_range" },
	{ 0x11b1c020, "inode_needs_sync" },
	{ 0x9f5ac7b8, "__blockdev_direct_IO" },
	{ 0x14a56194, "d_make_root" },
	{ 0x94704cc4, "__bforget" },
	{ 0x52497468, "sb_set_blocksize" },
	{ 0xa8446a50, "block_truncate_page" },
	{ 0x10111ed6, "write_dirty_buffer" },
	{ 0xdee72d49, "sync_filesystem" },
	{ 0xdfa6b8a, "fsnotify" },
	{ 0x336ef88, "current_time" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x1daff5bb, "from_vfsuid" },
	{ 0x662b082f, "inode_dio_wait" },
	{ 0x3ec04469, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6343725, "cont_write_begin" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xac0cc9c8, "iput" },
	{ 0x5b2414b3, "fs_param_is_enum" },
	{ 0x53938ff6, "fs_param_is_s32" },
	{ 0x61c38cda, "iter_file_splice_write" },
	{ 0x5912b821, "fs_param_is_bool" },
	{ 0xb3490ae7, "generic_file_write_iter" },
	{ 0x2e2955fe, "sync_inode_metadata" },
	{ 0x580f8406, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x76f8d02a, "fs_param_is_u32" },
	{ 0x3d0e6b84, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xb9fbdc, "block_invalidate_folio" },
	{ 0xd22bb746, "__breadahead" },
	{ 0xe5fbeec0, "generic_write_end" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7e6390ab, "load_nls" },
	{ 0xd4ac4cb4, "generic_cont_expand_simple" },
	{ 0xd09f85d, "truncate_inode_pages_final" },
	{ 0x416270ca, "generic_file_mmap" },
	{ 0x2708573, "sync_mapping_buffers" },
	{ 0x70ec6e2c, "ilookup" },
	{ 0x7b4e56, "invalidate_inode_buffers" },
	{ 0x43bfc4c8, "blk_finish_plug" },
	{ 0x81e1a5e0, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5c0bce2e, "mnt_drop_write_file" },
	{ 0x1221e8a, "fs_param_is_gid" },
	{ 0x54eab345, "inode_init_once" },
	{ 0x5a484321, "compat_ptr_ioctl" },
	{ 0x9c92aaf8, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xdb09e3d9, "__brelse" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x67ae71a5, "generic_file_read_iter" },
	{ 0x47b6884e, "inode_maybe_inc_iversion" },
	{ 0xa5892617, "truncate_pagecache" },
	{ 0x9632ff5a, "sync_dirty_buffer" },
	{ 0xc33001cc, "setattr_copy" },
	{ 0xde6a15fa, "__wait_on_buffer" },
	{ 0x2155e03b, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xf5ae6f79, "kmem_cache_alloc_lru_noprof" },
	{ 0xd6228ad6, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x53594d22, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xaab99402, "from_vfsgid" },
	{ 0x61add704, "write_inode_now" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x62374bd6, "d_obtain_alias" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x78020c00, "__bread_gfp" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x17543d84, "block_dirty_folio" },
	{ 0x65785376, "mpage_read_folio" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd7fab4e2, "__insert_inode_hash" },
	{ 0x4a76e8cf, "buffer_migrate_folio" },
	{ 0xfde67567, "kmem_cache_alloc_noprof" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xa5358222, "__kmem_cache_create_args" },
	{ 0x7ee30786, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0x431d07c1, "truncate_setsize" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcbb1fa84, "generic_encode_ino32_fh" },
	{ 0x89dbb154, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbf10caae, "igrab" },
	{ 0x9d47a392, "generic_read_dir" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5c21c8ee, "mpage_readahead" },
	{ 0xcf52084b, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xc6c79584, "init_user_ns" },
	{ 0xaac0c594, "seq_write" },
	{ 0x91360047, "__kmalloc_cache_noprof" },
	{ 0x27d2a03b, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xae9fbc68, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x7cc56416, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x39963a84, "generic_fh_to_parent" },
	{ 0xb23584c, "__fs_parse" },
	{ 0x9df4426b, "filemap_splice_read" },
	{ 0xb96e2970, "from_kuid_munged" },
	{ 0x4d358cc4, "__generic_file_fsync" },
	{ 0x811f653c, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x51690fcc, "__mark_inode_dirty" },
	{ 0xbbfc5677, "generic_file_llseek" },
	{ 0xeb1eeef, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0xed37c277, "mark_buffer_dirty_inode" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xcd7fd98a, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xcd47e272, "kmalloc_caches" },
	{ 0x34506a55, "inode_set_ctime_to_ts" },
	{ 0xfb32819e, "fs_param_is_uid" },
	{ 0x3b3c00cf, "kmem_cache_destroy" },
	{ 0x493996b7, "blkdev_issue_discard" },
	{ 0xa1b0d0a2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9BBCB43EF6FD213BAB3E9C8");
MODULE_INFO(rhelversion, "9.99");
