#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xb765641e, "");
SYMBOL_CRC(wpan_phy_for_each, 0x1edb9ec1, "");
SYMBOL_CRC(wpan_phy_new, 0xb954b01d, "");
SYMBOL_CRC(wpan_phy_register, 0x1e64a4db, "");
SYMBOL_CRC(wpan_phy_unregister, 0x3c3230ed, "");
SYMBOL_CRC(wpan_phy_free, 0x087a2f52, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x373d2e07, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x93d6c513, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0xb18ca42f, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x3be30f53, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x4cede14b, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xbf27fd8f, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xf1f5cdc4, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0xbc82b3dd, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x2ebbd500, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0xb3642b9d, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x75913fe4, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xf545c746, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0x2c472334, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0x2ceb386a, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x18d62c9c, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0xaf4ea228, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xeb30669a, "bpf_trace_run4" },
	{ 0x10dab522, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x18fc8001, "dev_set_name" },
	{ 0xac713b56, "trace_output_call" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x11ed5fda, "trace_raw_output_prep" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x595d060e, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xe72db065, "trace_event_printf" },
	{ 0x3ad39bbb, "device_initialize" },
	{ 0x1009cc14, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x6700661, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3df0faff, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x637cbbd1, "get_device" },
	{ 0xb0be8b8c, "netlink_broadcast_filtered" },
	{ 0x50b6b653, "device_rename" },
	{ 0xe66dbb33, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x6943c279, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x1414ad77, "__alloc_skb" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb6838057, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xf8d03a2b, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xe5337286, "perf_trace_run_bpf_submit" },
	{ 0x141ced48, "init_net" },
	{ 0x8dc0b1ac, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8f8bd18a, "device_add" },
	{ 0xc8dd3319, "sk_skb_reason_drop" },
	{ 0xcb5eeda2, "netlink_unicast" },
	{ 0x6586ad4d, "dev_get_by_index" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x20b3a9cf, "skb_push" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x494c01b8, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x580bb7a1, "class_unregister" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf43c0ca4, "unregister_pernet_device" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x629a356a, "bpf_trace_run1" },
	{ 0x790f4ca8, "device_del" },
	{ 0x5db2e960, "dev_set_mac_address" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x9b8feb51, "__pskb_pull_tail" },
	{ 0xe7c9268b, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x37d02ce4, "bpf_trace_run3" },
	{ 0x2aaed063, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf88d1366, "get_net_ns_by_pid" },
	{ 0x7d8a28d4, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x91360047, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x671f9ea1, "device_match_name" },
	{ 0x604c9598, "dev_get_by_name" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2eddf994, "genl_unregister_family" },
	{ 0x65a9c0a1, "genl_register_family" },
	{ 0x766e7e0a, "__dev_change_net_namespace" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x52b90e4c, "register_pernet_device" },
	{ 0x79785ae9, "get_net_ns_by_fd" },
	{ 0x5ed06c29, "class_register" },
	{ 0xcd47e272, "kmalloc_caches" },
	{ 0x5015449a, "class_find_device" },
	{ 0xa1b0d0a2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3A1408FFEF4DB950EA1B545");
MODULE_INFO(rhelversion, "9.99");
